## eos-profile

eos-profile — Inspect profiling data

## Synopsis

`eos-profile` help

`eos-profile` show `FILE`

`eos-profile` convert `FILE`

`eos-profile` diff `FILE`...

## Description

eos-profile is a tool for inspecting, converting, and comparing profile data files generated by the Endless SDK.

## Commands

`show` | Prints out a list of the profiling probes for the given file, as well as the various timing information associated to each probe, and their location in the source.
`convert` | Converts a profile data file into other formats, like JSON.
`diff` | Compares two or more profile data files, and prints out the timing information for each probe in each file.